/////////////////////////////////////////////////////////
//Aufgabe 5 aus Kapitel Nebenläufige Programmierung
/////////////////////////////////////////////////////////

import java.io.*;
 
File folder;
String[] filenames;
FilenameFilter csvFilter = new FilenameFilter() { 
  public boolean accept(File dir, String name) {
    return name.toLowerCase().endsWith(".txt");//txt-Dateien werden angezeigt
  }
};
 
void setup() {
  selectFolder("Select a folder to process:", "folderSelected");
}
 
void draw() {
  if (folder != null) { // Es muss etwas ausgewählt sein!
    filenames = folder.list(csvFilter); 
    for (int i = 0; i < filenames.length; i++) {
      println(filenames[i]);
    }
    folder = null;
  }
}
 
void folderSelected(File selection) {
  if (selection == null) {
    println("Fenster wurde geschlossen.");
  } else {
    println("Benutzerwahl " + selection.getAbsolutePath());
    folder = new File(selection.getAbsolutePath());
  }
}